Page MenuHomePhabricator

[Regression wmf6] In Firefox, When the link inspector autoswitches to the external link tab, the cursor is inserted before "http://"
Closed, ResolvedPublic1 Story Points

Description

If you open the link inspector and type "http://" in the page search field, the link inspector switches your input to the external link tab, which is helpful. However, it also moves your cursor from after the "http://" to before it.

Setting the priority as high because abruptly moving the user's cursor while they're typing is a serious usability issue. Feel free to lower if that's too high.

Seen on the Beta cluster on Firefox 37.0.2.

Event Timeline

Neil_P._Quinn_WMF raised the priority of this task from to High.
Neil_P._Quinn_WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2015, 4:46 PM

Doesn't happen when I test it on beta...

Happens every time I try on Betalabs with Firefox

Ryasmeen renamed this task from When the link inspector autoswitches to the external link tab, the cursor is inserted before "http://" to [Regression pre-wmf6]In Firefox, When the link inspector autoswitches to the external link tab, the cursor is inserted before "http://".May 12 2015, 5:20 PM
Ryasmeen set Security to None.
Ryasmeen moved this task from To Triage to External and Administrivia on the VisualEditor board.

@Krenair apparently it happens on Firefox 37.0.2 (and 39.0a2), but not on Chrome 42.0.2311.152 or Safari 8.0.6.

Neil_P._Quinn_WMF lowered the priority of this task from High to Normal.May 12 2015, 5:40 PM
Jdforrester-WMF renamed this task from [Regression pre-wmf6]In Firefox, When the link inspector autoswitches to the external link tab, the cursor is inserted before "http://" to [Regression pre-wmf6] In Firefox, When the link inspector autoswitches to the external link tab, the cursor is inserted before "http://".May 12 2015, 5:42 PM
Jdforrester-WMF renamed this task from [Regression pre-wmf6] In Firefox, When the link inspector autoswitches to the external link tab, the cursor is inserted before "http://" to [Regression wmf6] In Firefox, When the link inspector autoswitches to the external link tab, the cursor is inserted before "http://".May 21 2015, 2:18 PM

Change 215937 had a related patch set uploaded (by Esanders):
Move cursor to end when changing link mode

https://gerrit.wikimedia.org/r/215937

Change 215937 merged by jenkins-bot:
Move cursor to end when changing link mode

https://gerrit.wikimedia.org/r/215937

Jdforrester-WMF closed this task as Resolved.Jun 4 2015, 10:18 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.